Subject: Re: [2/2] dsa: Replace mii_bus with a generic host device

From: Guenter Roeck <[email-masked]>
Date: Mon, 13 Oct 2014 10:51:43 -0700

On Mon, Sep 15, 2014 at 01:00:27PM -0400, Alexander Duyck wrote:
> This change makes it so that instead of passing and storing a mii_bus we
> instead pass and store a host_dev.  From there we can test to determine the
> exact type of device, and can verify it is the correct device for our switch.
> 
> So for example it would be possible to pass a device pointer from a pci_dev
> and instead of checking for a PHY ID we could check for a vendor and/or device
> ID.
> 

Hi Alexander,

We are thinking about porting a PCIe based switch to use the DSA infrastructure,
so this patch is coming quite handy.

Have you been working on a port or a PCIe based chip to DSA yourself, by any
chance ? If yes, could you possibly share the current state ?
That might save us some time.

Thanks,
Guenter